## mysql-8.0 8.0.20

=== debian/changelog ===
mysql-8.0 (8.0.20-0ubuntu0.19.10.1) eoan-security; urgency=medium

  * SECURITY UPDATE: Update to 8.0.20 to fix security issues
    - CVE-2020-2759, CVE-2020-2760, CVE-2020-2762, CVE-2020-2763,
      CVE-2020-2765, CVE-2020-2780, CVE-2020-2804, CVE-2020-2812,
      CVE-2020-2892, CVE-2020-2893, CVE-2020-2895, CVE-2020-2896,
      CVE-2020-2897, CVE-2020-2898, CVE-2020-2901, CVE-2020-2903,
      CVE-2020-2904, CVE-2020-2921, CVE-2020-2923, CVE-2020-2924,
      CVE-2020-2925, CVE-2020-2926, CVE-2020-2928, CVE-2020-2930
  * debian/patches/year2020.patch: Dropped, no longer needed
  * debian/mysql-router.install: updated paths for library locations.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 29 Apr 2020 12:38:20 -0400

mysql-8.0 (8.0.19-0ubuntu0.19.10.3) eoan-security; urgency=medium

  * SECURITY UPDATE: Update to 8.0.19 to fix security issues
    - CVE-2020-2570, CVE-2020-2572, CVE-2020-2573, CVE-2020-2574,
      CVE-2020-2577, CVE-2020-2579, CVE-2020-2584, CVE-2020-2588,
      CVE-2020-2589, CVE-2020-2627, CVE-2020-2660, CVE-2020-2679,
      CVE-2020-2686, CVE-2020-2694
  * Removed patches no longer required:
    - debian/patches/fix-test-mysql_os_user.patch
  * debian/patches/year2020.patch: fixed FTBFS by changing future date to
    2037.
  * debian/mysql-server-8.0.install: remove errmsg-utf8.txt.
  * debian/mysql-testsuite-8.0.install: add new comp_err,
    messages_to_clients.txt, messages_to_error_log.txt,
    component_test_udf_services.so files.
  * debian/mysql-testsuite-8.0.links: add link for mysqld_safe to fix
    autopkgtests.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 20 Jan 2020 13:07:23 -0500

mysql-8.0 (8.0.18-0ubuntu0.19.10.1) eoan-security; urgency=medium

  * SECURITY UPDATE: Update to 8.0.18 to fix security issues
    - CVE-2019-2911, CVE-2019-2914, CVE-2019-2920, CVE-2019-2922,
      CVE-2019-2923, CVE-2019-2924, CVE-2019-2938, CVE-2019-2946,
      CVE-2019-2948, CVE-2019-2950, CVE-2019-2957, CVE-2019-2960,
      CVE-2019-2963, CVE-2019-2966, CVE-2019-2967, CVE-2019-2968,
      CVE-2019-2969, CVE-2019-2974, CVE-2019-2982, CVE-2019-2991,
      CVE-2019-2993, CVE-2019-2997, CVE-2019-2998, CVE-2019-3003,
      CVE-2019-3004, CVE-2019-3009, CVE-2019-3011, CVE-2019-3018
  * Removed patches no longer required:
    - fix_tests_ppc64el.patch
    - fix-test-binary-path.patch
  * debian/*install: Install new files:
    - usr/lib/mysql/private/libprotobuf-lite.so.3.6.1
    - usr/lib/mysql/private/libprotobuf.so.3.6.1
    - usr/lib/mysql/plugin/component_mysqlbackup.so
    - usr/lib/mysql-router/mysqlrouter/libprotobuf-lite.so.3.6.1
    - usr/bin/mysqlrouter_keyring
  * debian/libmysqlclient21.symbols: added new 8.0.18 symbols.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 22 Oct 2019 09:50:59 -0400
