## mysql-8.0 8.0.21

=== debian/changelog ===
mysql-8.0 (8.0.21-1) unstable; urgency=medium

  [ Robie Basak ]
  * New upstream release.

  [ Lars Tangvald ]
  * Add patch for replacing expired test certificates.
  * Disable unstable test main.mysql_client_test.
  * Disable broken test main.mtr_unit_tests.
  * Use system version of protobuf library. Closes: #968149.
  * Override BCP78 lintian error.

  [ Sergio Durigan Junior ]
  * Fix FTBFS on RISC-V.

  [ Marc Deslauriers ]
  * Revert an upstream commit that switches the tls-model to
    initial-exec. This is causing "cannot allocate memory in static TLS
    block" errors when attempting to load the library in certain
    scenarios.

 -- Robie Basak <robie@justgohome.co.uk>  Tue, 18 Aug 2020 15:34:21 +0100

mysql-8.0 (8.0.20-1~exp1) experimental; urgency=medium

  [ Lars Tangvald ]
  * New upstream major release
    See https://dev.mysql.com/doc/refman/8.0/en/mysql-nutshell.html
  * libmysqlclient20 soname bump to libmysqlclient21
  * Removed libmysqld, mysql_embedded, resolveip and resolve_stack_dump
  * Removed mysql_upgrade
    Internal data upgrades are now handled automatically by mysqld
    on startup, so the separate utility is no longer needed.
  * Removed deprecated config options
    Installation should automatically comment out deprecated options that
    were in the default 5.7 configuration.
  * Bundled yaSSL library has been removed. MySQL now uses OpenSSL.
    MySQL license has been updated to be compatible with the OpenSSL
    license.
  * Cleaned up default configuration files
    Options set to the internal default value were removed.

 -- Lars Tangvald <lars.tangvald@oracle.com>  Fri, 11 Jan 2019 13:05:54 +0100
