## mysql-8.0 8.0.23

=== debian/changelog ===
mysql-8.0 (8.0.23-3ubuntu1) hirsute; urgency=medium

  [ Frans Spiesschaert ]
  * Update nl.po translation file (Closes: #970039)

  [ Helge Kreutzmann ]
  * Update de.po translation file (Closes: #968847)

  [ Christian Ehrhardt ]
  * d/p/lp-1915275-fix-handling-of-SC_LEVEL1_DCACHE_LINESIZE.patch: unbreak
    mysql on riscv64 (LP: #1915275)

 -- Robie Basak <robie.basak@ubuntu.com>  Sat, 13 Mar 2021 02:13:37 +0000

mysql-8.0 (8.0.23-3build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:18:57 +0000

mysql-8.0 (8.0.23-3) unstable; urgency=medium

  * Team upload
  * Honour nocheck build profile in dh_auto_test.
    Note: this change is needed only in compat levels < 13

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Feb 2021 10:32:15 +0100

mysql-8.0 (8.0.23-2) unstable; urgency=medium

  * Team upload
  * Add missing libzstd-dev on runtime dev package
    (Closes: #981905)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Feb 2021 22:30:12 +0100

mysql-8.0 (8.0.23-1) unstable; urgency=medium

  [ Lars Tangvald ]
  * Imported upstream version 8.0.23 to fix security issues:
    - https://www.oracle.com/security-alerts/cpujan2021.html#AppendixMSQL
    - CVE-2021-1998 CVE-2021-2001 CVE-2021-2002 CVE-2021-2087
    - CVE-2021-2009 CVE-2021-2012 CVE-2021-2016 CVE-2021-2019
    - CVE-2021-2020 CVE-2021-2021 CVE-2021-2022 CVE-2021-2024
    - CVE-2021-2028 CVE-2021-2030 CVE-2021-2031 CVE-2021-2032
    - CVE-2021-2036 CVE-2021-2038 CVE-2021-2042 CVE-2021-2046
    - CVE-2021-2048 CVE-2021-2055 CVE-2021-2056 CVE-2021-2058
    - CVE-2021-2060 CVE-2021-2061 CVE-2021-2065 CVE-2021-2070
    - CVE-2021-2072 CVE-2021-2076 CVE-2021-2081 CVE-2021-2088
    - CVE-2021-2122
    Upstream release notes:
    - https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-23.html
    - https://dev.mysql.com/doc/relnotes/mysql-router/en/news-8-0-23.html
    (Closes: #980795)
  * d/install: Removed mysql_protocol.so from router package
    This plugin file has been obsoleted and removed by upstream.
  * Fix test failure due to hardcoded date
    (LP: #1911032)
  * d/patches: Update atomics patch for riscv.
  * d/symbols: Add new symbol from 8.0.23 to client library
  * d/install: Add new plugins to router and server packages

  [ Marc Deslauriers ]
  * d/symbols: Add new symbol from 8.0.22 to client library

 -- Lars Tangvald <lars.tangvald@oracle.com>  Tue, 19 Jan 2021 14:07:46 +0000

mysql-8.0 (8.0.22-1) unstable; urgency=medium

  * Imported upstream version 8.0.22 to fix security issues:
    - https://www.oracle.com/security-alerts/cpuoct2020.html#AppendixMSQL
    - CVE-2020-14672 CVE-2020-14765 CVE-2020-14769 CVE-2020-14771
    - CVE-2020-14773 CVE-2020-14775 CVE-2020-14776 CVE-2020-14777
    - CVE-2020-14785 CVE-2020-14786 CVE-2020-14789 CVE-2020-14790
    - CVE-2020-14791 CVE-2020-14793 CVE-2020-14794 CVE-2020-14799
    - CVE-2020-14800 CVE-2020-14804 CVE-2020-14809 CVE-2020-14812
    - CVE-2020-14814 CVE-2020-14821 CVE-2020-14827 CVE-2020-14828
    - CVE-2020-14829 CVE-2020-14830 CVE-2020-14836 CVE-2020-14837
    - CVE-2020-14838 CVE-2020-14839 CVE-2020-14844 CVE-2020-14845
    - CVE-2020-14846 CVE-2020-14848 CVE-2020-14852 CVE-2020-14860
    - CVE-2020-14861 CVE-2020-14866 CVE-2020-14867 CVE-2020-14868
    - CVE-2020-14869 CVE-2020-14870 CVE-2020-14873 CVE-2020-14878
    - CVE-2020-14888 CVE-2020-14891 CVE-2020-14893
    (Closes: #972623)
  * d/patches: Dropped patches for issues fixed upstream
    fix_expired_test_certs.patch and fix_mariadb_charset_segfault.patch
  * d/rules: Link system libs by default
    Ensures that if new dependencies are added we use system instead
    of bundled versions, where possible.
  * d/install: Added new upstream plugins for MySQL Router
  * d/systemd: Disable service timeout
    For large databases, the service could timeout on stop, possibly
    leading to data corruption during a system shutdown.
    (LP: #1882527)

 -- Lars Tangvald <lars.tangvald@oracle.com>  Tue, 20 Oct 2020 09:37:54 +0000
