=== debian/changelog ===
mysql-8.0 (8.0.25-0ubuntu0.20.10.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Update to 8.0.25 to fix security issues
    - CVE-2021-2146, CVE-2021-2162, CVE-2021-2164, CVE-2021-2166,
      CVE-2021-2169, CVE-2021-2170, CVE-2021-2171, CVE-2021-2172,
      CVE-2021-2179, CVE-2021-2180, CVE-2021-2193, CVE-2021-2194,
      CVE-2021-2196, CVE-2021-2201, CVE-2021-2203, CVE-2021-2208,
      CVE-2021-2212, CVE-2021-2215, CVE-2021-2217, CVE-2021-2226,
      CVE-2021-2230, CVE-2021-2232, CVE-2021-2278, CVE-2021-2293,
      CVE-2021-2298, CVE-2021-2299, CVE-2021-2300, CVE-2021-2301,
      CVE-2021-2304, CVE-2021-2305, CVE-2021-2307, CVE-2021-2308
  * Package new upstream files:
    - debian/mysql-server-core-8.0.install: mysql_migrate_keyring,
      component_keyring_file.so.
    - debian/mysql-testsuite-8.0.install: mysql_keyring_encryption_test.
  * debian/patches/fix_test_year.patch: removed, no longer needed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 11 May 2021 08:49:41 -0400

mysql-8.0 (8.0.23-0ubuntu0.20.10.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Update to 8.0.23 to fix security issues
    - CVE-2021-2002, CVE-2021-2010, CVE-2021-2011, CVE-2021-2021,
      CVE-2021-2022, CVE-2021-2024, CVE-2021-2031, CVE-2021-2032,
      CVE-2021-2036, CVE-2021-2038, CVE-2021-2046, CVE-2021-2048,
      CVE-2021-2056, CVE-2021-2058, CVE-2021-2060, CVE-2021-2061,
      CVE-2021-2065, CVE-2021-2070, CVE-2021-2072, CVE-2021-2076,
      CVE-2021-2081, CVE-2021-2087, CVE-2021-2088, CVE-2021-2122
  * debian/patches/atomic-test-words.patch: updated.
  * debian/patches/fix_test_year.patch: fix test with hardcoded date.
  * debian/libmysqlclient21.symbols: added new symbol.
  * debian/mysql-router.install: remove mysql_protocol.so, it has been
    removed from the new version.
  * debian/*.install: added some new files shipped in the new version.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 27 Jan 2021 09:25:29 -0500

mysql-8.0 (8.0.22-0ubuntu0.20.10.2) groovy-security; urgency=medium

  * SECURITY UPDATE: Update to 8.0.22 to fix security issues
    - CVE-2019-14775, CVE-2020-14672, CVE-2020-14765, CVE-2020-14769,
      CVE-2020-14771, CVE-2020-14773, CVE-2020-14775, CVE-2020-14776,
      CVE-2020-14777, CVE-2020-14785, CVE-2020-14786, CVE-2020-14789,
      CVE-2020-14790, CVE-2020-14791, CVE-2020-14793, CVE-2020-14794,
      CVE-2020-14800, CVE-2020-14804, CVE-2020-14809, CVE-2020-14812,
      CVE-2020-14814, CVE-2020-14821, CVE-2020-14827, CVE-2020-14828,
      CVE-2020-14829, CVE-2020-14830, CVE-2020-14836, CVE-2020-14837,
      CVE-2020-14838, CVE-2020-14839, CVE-2020-14844, CVE-2020-14845,
      CVE-2020-14846, CVE-2020-14848, CVE-2020-14852, CVE-2020-14853,
      CVE-2020-14860, CVE-2020-14861, CVE-2020-14866, CVE-2020-14867,
      CVE-2020-14868, CVE-2020-14869, CVE-2020-14870, CVE-2020-14873,
      CVE-2020-14878, CVE-2020-14888, CVE-2020-14891, CVE-2020-14893
  * Removed patches included in new version:
    - debian/patches/fix_mariadb_charset_segfault.patch
    - debian/patches/fix_expired_test_certs.patch
  * debian/mysql-router.install: adjust path to sample_mysqlrouter.conf.
  * debian/mysql-router.install, debian/not-installed: added new files.
  * debian/libmysqlclient21.symbols: added new symbol.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 22 Oct 2020 09:04:29 -0400
