=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mysql-8.0
 Section: database
 Priority: optional
-Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
 Uploaders: Norbert Tretkowski <norbert@tretkowski.de>,
            Clint Byrum <clint@ubuntu.com>,
            James Page <jamespage@debian.org>,
