=== debian/rules ===
--- 
+++ 
@@ -87,9 +87,14 @@
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		-DBUILD_CONFIG=mysql_release \
 		-DWITH_LIBWRAP=OFF \
-		-DWITH_SYSTEM_LIBS=ON \
+		-DWITH_ZLIB=system \
+		-DWITH_LZ4=system \
+		-DWITH_EDITLINE=system \
+		-DWITH_LIBEVENT=system \
+		-DWITH_SSL=system \
 		-DWITH_MECAB=system \
 		-DWITH_BOOST=../boost \
+		-DWITH_PROTOBUF=system \
 		-DCOMPILATION_COMMENT="($(DISTRIBUTION))" \
 		-DMYSQL_SERVER_SUFFIX="-$(DEBVERSION)" \
 		-DINSTALL_LAYOUT=DEB \
@@ -135,7 +140,6 @@
 	touch $@
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	@echo "RULES.$@"
 ifeq ($(ARCH_OS),hurd)
 	# Tests not fully working under Hurd, see
@@ -159,7 +163,6 @@
 	# result in false positives.
 	cd $(builddir)/mysql-test && ./mtr --report-unstable-tests --parallel=$(TESTJOBS) --skip-rpl $(MTR_SUITE) --force --skip-test-list=./skiplist || $(TESTSUITE_FAIL_CMD) ;
 	cd $(builddir)/mysql-test && ./mtr --report-unstable-tests --force innodb_fts.mecab_utf8
-endif
 endif
 
 override_dh_auto_install: auto_install-stamp
@@ -202,5 +205,3 @@
 
 override_dh_install:
 	dh_install --fail-missing		\
-		-Xusr/share/man			\
-		-Xusr/share/mysql/mysql.server
