## mysql-8.0 8.0.26

=== debian/changelog ===
mysql-8.0 (8.0.26-0ubuntu1) impish; urgency=medium

  * SECURITY UPDATE: Update to 8.0.26 to fix security issues
    - CVE-2021-2339, CVE-2021-2340, CVE-2021-2342, CVE-2021-2352,
      CVE-2021-2354, CVE-2021-2356, CVE-2021-2357, CVE-2021-2367,
      CVE-2021-2370, CVE-2021-2372, CVE-2021-2374, CVE-2021-2383,
      CVE-2021-2384, CVE-2021-2385, CVE-2021-2387, CVE-2021-2389,
      CVE-2021-2390, CVE-2021-2399, CVE-2021-2402, CVE-2021-2410,
      CVE-2021-2417, CVE-2021-2418, CVE-2021-2422, CVE-2021-2424,
      CVE-2021-2425, CVE-2021-2426, CVE-2021-2427, CVE-2021-2429,
      CVE-2021-2437, CVE-2021-2440, CVE-2021-2441
  * Fix test suite failures:
    - debian/rules,debian/tests/upstream: disable newly-failing
      main.slow_log test.
  * Package new upstream files:
    - debian/mysql-server-core-8.0.install: semisync_replica.so,
      semisync_source.so.
    - debian/mysql-testsuite-8.0.install: component_test_table_access.so,
      component_test_mysql_system_variable_set.so.
  * debian/patches/fix_ppc64el_longdouble_ftbfs.patch: disable long double
    test on ppc64el.
  * d/p/lp-1915275-fix-handling-of-SC_LEVEL1_DCACHE_LINESIZE.patch:
    removed, included in new version.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 26 Jul 2021 06:34:46 -0400

mysql-8.0 (8.0.25-0ubuntu3) impish; urgency=medium

  * debian/patches/fix_path_mysql_keyring_encryption_test.patch: fix
    location of mysql_keyring_encryption_test binary.
  * debian/patches/disable_root_files.patch: disable files that require
    root privileges during tests.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 20 May 2021 06:38:34 -0400

mysql-8.0 (8.0.25-0ubuntu2) impish; urgency=medium

  * mysql-testsuite-8.0.links: add link for mysql_migrate_keyring so the
    binary can be located during tests.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 13 May 2021 12:30:44 -0400

mysql-8.0 (8.0.25-0ubuntu1) impish; urgency=medium

  * SECURITY UPDATE: Update to 8.0.25 to fix security issues
    - CVE-2021-2146, CVE-2021-2162, CVE-2021-2164, CVE-2021-2166,
      CVE-2021-2169, CVE-2021-2170, CVE-2021-2171, CVE-2021-2172,
      CVE-2021-2179, CVE-2021-2180, CVE-2021-2193, CVE-2021-2194,
      CVE-2021-2196, CVE-2021-2201, CVE-2021-2203, CVE-2021-2208,
      CVE-2021-2212, CVE-2021-2215, CVE-2021-2217, CVE-2021-2226,
      CVE-2021-2230, CVE-2021-2232, CVE-2021-2278, CVE-2021-2293,
      CVE-2021-2298, CVE-2021-2299, CVE-2021-2300, CVE-2021-2301,
      CVE-2021-2304, CVE-2021-2305, CVE-2021-2307, CVE-2021-2308
  * Package new upstream files:
    - debian/mysql-server-core-8.0.install: mysql_migrate_keyring,
      component_keyring_file.so.
    - debian/mysql-testsuite-8.0.install: mysql_keyring_encryption_test.
  * debian/patches/fix_test_year.patch: removed, no longer needed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 11 May 2021 08:49:41 -0400
