=== debian/rules ===
--- 
+++ 
@@ -160,7 +160,6 @@
 	# Skip replication tests since they are timing sensitive and may
 	# result in false positives.
 	cd $(builddir)/mysql-test && ./mtr --report-unstable-tests --parallel=$(TESTJOBS) --skip-rpl $(MTR_SUITE) --force --skip-test-list=./skiplist || $(TESTSUITE_FAIL_CMD) ;
-	cd $(builddir)/mysql-test && ./mtr --report-unstable-tests --force innodb_fts.mecab_utf8
 endif
 endif
 
@@ -202,3 +201,6 @@
 override_dh_installlogrotate-arch:
 	dh_installlogrotate --name mysql-server
 
+override_dh_install:
+	dh_install --fail-missing		\
+		-Xusr/share/man			\
